OBTC3.SA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/obtc3-sa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1772409600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.rad.cvm.gov.br/EnetWeb/frmExibirArquivoIPE.aspx?CodigoInstituicao=1&NumeroProtocoloEntrega=1483662&NumeroSequencialRegistroCvm=27910&TipoDocumento=666&Status=&Convenio=N%C3%A3o&Versao=1&DescricaoTipoDocumento=IPE&ExibirUserControl=false",
    "holding_balance": 3723.0,
    "holding_net_change": 0.7,
    "transaction_value_usd": 47206.7,
    "average_entry_value_usd": 67438.14,
    "transaction_value_calculated": false
  },
  {
    "date": 1774569600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.rad.cvm.gov.br/ENETWEB/frmExibirArquivoIPE.aspx?CodigoInstituicao=1&NumeroProtocoloEntrega=1508833&NumeroSequencialRegistroCvm=27910&TipoDocumento=666&Status=&Convenio=N%C3%A3o&Versao=1&DescricaoTipoDocumento=IPE&ExibirUserControl=false",
    "holding_balance": 3725.0,
    "holding_net_change": 2.0,
    "transaction_value_usd": 154983.2,
    "average_entry_value_usd": 77491.6,
    "transaction_value_calculated": false
  },
  {
    "date": 1777852800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.rad.cvm.gov.br/EnetWeb/frmExibirArquivoIPE.aspx?CodigoInstituicao=1&NumeroProtocoloEntrega=1514836&NumeroSequencialRegistroCvm=27910&TipoDocumento=666&Status=&Convenio=N%C3%A3o&Versao=1&DescricaoTipoDocumento=IPE&ExibirUserControl=false",
    "holding_balance": 3727.0,
    "holding_net_change": 2.0,
    "transaction_value_usd": 157462.09,
    "average_entry_value_usd": 78731.05,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    3727.0
  ],
  [
    1779062400000,
    3727.0
  ],
  [
    1779148800000,
    3727.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    288581088.22
  ],
  [
    1779062400000,
    286771294.29
  ],
  [
    1779148800000,
    286084557.27
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 7.07,
    "date": "2026-05-15",
    "high": 7.4,
    "open": 7.4,
    "close": 7.15,
    "volume": 265000
  },
  {
    "low": 6.51,
    "date": "2026-05-18",
    "high": 7.23,
    "open": 7.23,
    "close": 6.94,
    "volume": 1931500
  },
  {
    "low": 6.65,
    "date": "2026-05-19",
    "high": 7.01,
    "open": 7.0,
    "close": 6.7,
    "volume": 1899900
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "all_time_return": -5.1,
  "one_week_return": -7.46,
  "one_month_return": -10.79
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/obtc3-sa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 27.4,
  "total_btc_percentage": 0.018,
  "share_price_change_state": "up"
}